Ir al contenido

Actualizar datos de un usuario

PUT
/users/{userId}
curl --request PUT \
--url https://api.matiasimpulso.com/users/1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "email": "hello@example.com", "name": "example", "profileImage": "example", "currentPassword": "example", "profile": "admin", "queueIds": [ 1 ], "startWork": "example", "endWork": "example", "whatsappId": 1, "color": "example", "farewellMessage": "example", "allTicket": "enabled", "defaultTheme": "example", "defaultMenu": "example", "allowGroup": true, "allHistoric": "enabled", "userClosePendingTicket": "enabled", "showDashboard": "enabled", "defaultTicketsManagerWidth": 1, "allowRealTime": "enabled", "allowConnections": "enabled" }'

Actualiza los datos de perfil, rol o colas asignadas de un usuario dentro de la empresa autenticada.

userId
required
number

ID numérico del usuario a actualizar.

Media type application/json
object
email
string format: email
name
string
<= 255 characters
profileImage
string
nullable
currentPassword
string
<= 128 characters
profile
string
Allowed values: admin user supervisor
queueIds
Array<number>
startWork
string
endWork
string
whatsappId
number
color

Color del asesor en la bandeja y el Kanban: #rrggbb, o null para quitarlo.

string
nullable
farewellMessage
string
<= 500 characters
allTicket
string
Allowed values: enabled disabled
defaultTheme
string
defaultMenu
string
allowGroup
boolean
allHistoric
string
Allowed values: enabled disabled
userClosePendingTicket
string
Allowed values: enabled disabled
showDashboard
string
Allowed values: enabled disabled
defaultTicketsManagerWidth
number
allowRealTime
string
Allowed values: enabled disabled
allowConnections
string
Allowed values: enabled disabled

Usuario actualizado exitosamente.

Datos de actualización inválidos.

No autenticado.

Sin permisos para modificar este usuario.

Usuario no encontrado en la empresa.